import vue from 'rollup-plugin-vue'
import buble from 'rollup-plugin-buble'
import bundleSize from 'rollup-plugin-filesize'
import resolve from 'rollup-plugin-node-resolve'
import pkg from './package.json'
import commonjs from 'rollup-plugin-commonjs';

const external = ['@ledecmf/editor-core', 'vue', 'core-js']
const extensions = ['.js', '.vue']
const isProduction = !process.env.ROLLUP_WATCH
const globals = {vue: 'Vue'}

const plugins = [
    resolve(),
    bundleSize(),
    commonjs(),
    vue({
        template: {
            isProduction,
            compilerOptions: {preserveWhitespace: false},
        },
        css: true,
    }),
    buble(),
]

export default {
    external,
    plugins,
    input: 'src/index.js',
    output: [
        {
            format: 'cjs',
            file: pkg['main']
        },
        {
            format: 'es',
            file: pkg['module']
        }
    ]
}
